<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of usedfeatures
 *
 * @author stefan
 */
class UsedFeatures {
        public static $Kitchen = array("id" => 1,"threshold" => 10);
        public static $Bar = array("id" => 2,"threshold" => 10);
        public static $Guestsystem = array("id" => 3,"threshold" => 10);
        public static $Tablemap = array("id" => 4,"threshold" => 10);
        public static $Counting = array("id" => 5,"threshold" => 1);
        public static $Customers = array("id" => 6,"threshold" => 2);
        public static $Tasks = array("id" => 7,"threshold" => 4);
        public static $Pickup = array("id" => 8,"threshold" => 10);
        public static $Customerview = array("id" => 9,"threshold" => 20);
        public static $Orders = array("id" => 10,"threshold" => 5);
        public static $Dashboard = array("id" => 11,"threshold" => 4);
        public static $Rating = array("id" => 12,"threshold" => 1);
        public static $Tse = array("id" => 13,"threshold" => 10);
        
        public static function noteUsedFeature($pdo,$feature) {
                self::noteUsedFeatureById($pdo, $feature["id"]);
        }
        public static function noteUsedFeatureById($pdo,$featureId) {
                $sql = "INSERT INTO %usedfeatures% (usedate,feature,count) VALUES(DATE(NOW()),?,?)";
                CommonUtils::execSql($pdo, $sql, array($featureId,0));
        }
        
        public static function sumUpUsedFeatures($pdo) {
                
                $sql = "SELECT COUNT(id) as count,usedate,feature FROM %usedfeatures% WHERE count='0' GROUP BY usedate,feature";
                $result = CommonUtils::fetchSqlAll($pdo, $sql);
                foreach ($result as $usedfeature) {
                        $theUseDate = $usedfeature['usedate'];
                        $feature = $usedfeature['feature'];
                        $theCount = $usedfeature['count'];
                        $sql = "DELETE FROM %usedfeatures% WHERE usedate=? AND feature=? AND count=?";
                        CommonUtils::execSql($pdo, $sql, array($theUseDate,$feature,0));
                        
                        $sql = "SELECT id,count FROM %usedfeatures% WHERE usedate=? AND feature=? LIMIT 1";
                        $res = CommonUtils::fetchSqlAll($pdo, $sql, array($theUseDate,$feature));
                        
                        if (count($res) == 0) {
                                $sql = "INSERT INTO %usedfeatures% (usedate,feature,count) VALUES(?,?,?)";
                                CommonUtils::execSql($pdo, $sql, array($theUseDate,$feature,$theCount));
                        } else {
                                $sql = "UPDATE %usedfeatures% SET count=? WHERE usedate=? AND feature=?";
                                CommonUtils::execSql($pdo, $sql, array(intval($res[0]['count']) + $theCount,$theUseDate,$feature));
                        }
                }
                
                $sql = "OPTIMIZE TABLE %usedfeatures%";
                CommonUtils::execSql($pdo, $sql, null);
        }
        
        public static function getPureData($pdo) {
                $sql = "SELECT id,usedate,feature,count FROM %usedfeatures%";
                return CommonUtils::fetchSqlAll($pdo, $sql);
        }
}
